#!/bin/sh
#Provides: dat
module='dnsmeapi'
wrapper='DNSmeapiAdmin'
product_root_d='/usr/local/psa'

### install
if [ ! -x "${module}.zip" ]; then
${product_root_d}/bin/extension -i ${module}.zip
else
	echo "${module}.zip file was not found!"
	exit
fi
### copy and link bin file
if [ ! -d "${product_root_d}/admin/sbin/modules/${module}" ]; then
	mkdir ${product_root_d}/admin/sbin/modules/${module}
fi


if [ -x "${product_root_d}/admin/sbin/${wrapper}" ]; then
	rm -f ${product_root_d}/admin/sbin/${wrapper}
fi	
cp -f ${product_root_d}/admin/plib/modules/${module}/scripts/${wrapper} ${product_root_d}/admin/sbin/
chmod +x ${product_root_d}/admin/sbin/${wrapper}
ln -sb ${product_root_d}/admin/sbin/wrapper ${product_root_d}/admin/sbin/modules/${module}/${wrapper}