<?php
$module='dnsmeapi';
pm_Context::init($module);

$psa_root=rtrim(pm_Context::getHtdocsDir(), '/');
$iconPath = $psa_root . '/images/logo.png';
$baseUrl = pm_Context::getBaseUrl();

$request = <<<APICALL
<ui>
   <create-custombutton>
         <owner>
            <admin/>
         </owner>
      <properties>
		<public>true</public>
            <internal>true</internal>
            <noframe>true</noframe>
            <place>domain</place>
         <url>$baseUrl</url>
         <text>Dnsmeapi Module</text>
        
      </properties>
   </create-custombutton>
</ui>
APICALL;
//<file>$iconPath</file>
try {
    $response = pm_ApiRpc::getService()->call($request);

    $result = $response->ui->{"create-custombutton"}->result;
    if ('ok' == $result->status && $result->id > 0) {
       ## pm_Settings::set('customButtonId', $result->id);

		pm_Settings::set('button-id', (string)$result->id);
        echo "done\n";
         exit(0);
        // Copy files
        $psa_root=rtrim(pm_Context::getPlibDir(), '/');
        echo "psa_root:" . $psa_root;
                
        //$psa_root.="/..";
        $fn='DNSmeapiAdmin';
        $src="$psa_root/scripts/$fn";
        $dst="$psa_root/../../../sbin/";
        $c = file_get_contents($src);
         echo "Reading file: $src<br>$c<br>";
        if(file_put_contents("$dst$fn", $c)=== FALSE):
            echo "Could not write to $dst$fn";
            file_put_contents("/tmp/plesk_module.txt",$c);
            exit(1);
        endif;
                
        echo "Written to file: $dst$fn<br>";
        chmod($dst, 0755);
        $link_dir="$dst/modules/$module";
        mkdir("$link_dir");
        
        symlink("$dst/wrapper", "$link_dir/$fn");
        echo "Creating link to file: $link_dir<br>";
        
        exit(1);
    } else {
        echo "error $result->errcode: $result->errtext\n";
        exit(1);
    }

} catch(PleskAPIParseException $e) {
    echo $e->getMessage() . "\n";
    exit(1);
}